org.apache.ode.bpel.dd.impl

## Class TInvokeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.dd.impl.TInvokeImpl

- All Implemented Interfaces:
    java.io.Serializable, TInvoke, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class TInvokeImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements TInvoke

  An XML tInvoke(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TInvokeImpl.BindingImpl` An XML binding(@http://www.apache.org/ode/schemas/dd/2007/03).

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.dd.TInvoke

      `TInvoke.Binding, TInvoke.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.dd.TInvoke

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TInvokeImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TInvoke.Binding` | `addNewBinding()` Appends and returns a new empty "binding" element
    `FailureHandlingDocument.FailureHandling` | `addNewFailureHandling()` Appends and returns a new empty "failureHandling" element
    `TService` | `addNewService()` Appends and returns a new empty "service" element
    `TInvoke.Binding` | `getBinding()` Gets the "binding" element
    `FailureHandlingDocument.FailureHandling` | `getFailureHandling()` Gets the "failureHandling" element
    `java.lang.String` | `getPartnerLink()` Gets the "partnerLink" attribute
    `TService` | `getService()` Gets the "service" element
    `boolean` | `getUsePeer2Peer()` Gets the "usePeer2Peer" attribute
    `boolean` | `isSetBinding()` True if has "binding" element
    `boolean` | `isSetFailureHandling()` True if has "failureHandling" element
    `boolean` | `isSetUsePeer2Peer()` True if has "usePeer2Peer" attribute
    `void` | `setBinding(TInvoke.Binding binding)` Sets the "binding" element
    `void` | `setFailureHandling(FailureHandlingDocument.FailureHandling failureHandling)` Sets the "failureHandling" element
    `void` | `setPartnerLink(java.lang.String partnerLink)` Sets the "partnerLink" attribute
    `void` | `setService(TService service)` Sets the "service" element
    `void` | `setUsePeer2Peer(boolean usePeer2Peer)` Sets the "usePeer2Peer" attribute
    `void` | `unsetBinding()` Unsets the "binding" element
    `void` | `unsetFailureHandling()` Unsets the "failureHandling" element
    `void` | `unsetUsePeer2Peer()` Unsets the "usePeer2Peer" attribute
    `org.apache.xmlbeans.XmlString` | `xgetPartnerLink()` Gets (as xml) the "partnerLink" attribute
    `org.apache.xmlbeans.XmlBoolean` | `xgetUsePeer2Peer()` Gets (as xml) the "usePeer2Peer" attribute
    `void` | `xsetPartnerLink(org.apache.xmlbeans.XmlString partnerLink)` Sets (as xml) the "partnerLink" attribute
    `void` | `xsetUsePeer2Peer(org.apache.xmlbeans.XmlBoolean usePeer2Peer)` Sets (as xml) the "usePeer2Peer" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### TInvokeImpl

          public TInvokeImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getService

          public TService getService()

      Gets the "service" element
      Specified by:
        `getService` in interface `TInvoke`

    - #### setService

          public void setService(TService service)

      Sets the "service" element
      Specified by:
        `setService` in interface `TInvoke`

    - #### addNewService

          public TService addNewService()

      Appends and returns a new empty "service" element
      Specified by:
        `addNewService` in interface `TInvoke`

    - #### getBinding

          public TInvoke.Binding getBinding()

      Gets the "binding" element
      Specified by:
        `getBinding` in interface `TInvoke`

    - #### isSetBinding

          public boolean isSetBinding()

      True if has "binding" element
      Specified by:
        `isSetBinding` in interface `TInvoke`

    - #### setBinding

          public void setBinding(TInvoke.Binding binding)

      Sets the "binding" element
      Specified by:
        `setBinding` in interface `TInvoke`

    - #### addNewBinding

          public TInvoke.Binding addNewBinding()

      Appends and returns a new empty "binding" element
      Specified by:
        `addNewBinding` in interface `TInvoke`

    - #### unsetBinding

          public void unsetBinding()

      Unsets the "binding" element
      Specified by:
        `unsetBinding` in interface `TInvoke`

    - #### getFailureHandling

          public FailureHandlingDocument.FailureHandling getFailureHandling()

      Gets the "failureHandling" element
      Specified by:
        `getFailureHandling` in interface `TInvoke`

    - #### isSetFailureHandling

          public boolean isSetFailureHandling()

      True if has "failureHandling" element
      Specified by:
        `isSetFailureHandling` in interface `TInvoke`

    - #### setFailureHandling

          public void setFailureHandling(FailureHandlingDocument.FailureHandling failureHandling)

      Sets the "failureHandling" element
      Specified by:
        `setFailureHandling` in interface `TInvoke`

    - #### addNewFailureHandling

          public FailureHandlingDocument.FailureHandling addNewFailureHandling()

      Appends and returns a new empty "failureHandling" element
      Specified by:
        `addNewFailureHandling` in interface `TInvoke`

    - #### unsetFailureHandling

          public void unsetFailureHandling()

      Unsets the "failureHandling" element
      Specified by:
        `unsetFailureHandling` in interface `TInvoke`

    - #### getPartnerLink

          public java.lang.String getPartnerLink()

      Gets the "partnerLink" attribute
      Specified by:
        `getPartnerLink` in interface `TInvoke`

    - #### xgetPartnerLink

          public org.apache.xmlbeans.XmlString xgetPartnerLink()

      Gets (as xml) the "partnerLink" attribute
      Specified by:
        `xgetPartnerLink` in interface `TInvoke`

    - #### setPartnerLink

          public void setPartnerLink(java.lang.String partnerLink)

      Sets the "partnerLink" attribute
      Specified by:
        `setPartnerLink` in interface `TInvoke`

    - #### xsetPartnerLink

          public void xsetPartnerLink(org.apache.xmlbeans.XmlString partnerLink)

      Sets (as xml) the "partnerLink" attribute
      Specified by:
        `xsetPartnerLink` in interface `TInvoke`

    - #### getUsePeer2Peer

          public boolean getUsePeer2Peer()

      Gets the "usePeer2Peer" attribute
      Specified by:
        `getUsePeer2Peer` in interface `TInvoke`

    - #### xgetUsePeer2Peer

          public org.apache.xmlbeans.XmlBoolean xgetUsePeer2Peer()

      Gets (as xml) the "usePeer2Peer" attribute
      Specified by:
        `xgetUsePeer2Peer` in interface `TInvoke`

    - #### isSetUsePeer2Peer

          public boolean isSetUsePeer2Peer()

      True if has "usePeer2Peer" attribute
      Specified by:
        `isSetUsePeer2Peer` in interface `TInvoke`

    - #### setUsePeer2Peer

          public void setUsePeer2Peer(boolean usePeer2Peer)

      Sets the "usePeer2Peer" attribute
      Specified by:
        `setUsePeer2Peer` in interface `TInvoke`

    - #### xsetUsePeer2Peer

          public void xsetUsePeer2Peer(org.apache.xmlbeans.XmlBoolean usePeer2Peer)

      Sets (as xml) the "usePeer2Peer" attribute
      Specified by:
        `xsetUsePeer2Peer` in interface `TInvoke`

    - #### unsetUsePeer2Peer

          public void unsetUsePeer2Peer()

      Unsets the "usePeer2Peer" attribute
      Specified by:
        `unsetUsePeer2Peer` in interface `TInvoke`